Content Configuration get

Content Configuration get

Retrieves the current configuration values.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires ContentLibrary.GetConfiguration.
Request
URI
GET
https://{host}/api/content/configuration
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The Content ConfigurationModel instance representing the configuration of the Content Library Service.

Returns Content ConfigurationModel of type(s) application/json
{
    "automatic_sync_enabled": false,
    "automatic_sync_enabled_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "automatic_sync_start_hour": 0,
    "automatic_sync_start_hour_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "automatic_sync_stop_hour": 0,
    "automatic_sync_stop_hour_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "maximum_concurrent_item_syncs": 0,
    "maximum_concurrent_item_syncs_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "automatic_sync_refresh_interval": 0,
    "automatic_sync_refresh_interval_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "automatic_sync_setting_refresh_interval": 0,
    "automatic_sync_setting_refresh_interval_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "transfer_throttling_bandwidth_total": 0,
    "transfer_throttling_bandwidth_total_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "transfer_nfc_max_concurrent_transfers_per_host": 0,
    "transfer_nfc_max_concurrent_transfers_per_host_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "priority_transfer_threads_pool_size": 0,
    "priority_transfer_threads_pool_size_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    },
    "transfer_threads_pool_size": 0,
    "transfer_threads_pool_size_setting": {
        "name": "string",
        "reboot_required": false,
        "constraints": [
            {}
        ]
    }
}
boolean
automatic_sync_enabled
Optional

Whether automatic synchronization is enabled.

When automatic synchronization is enabled, the Content Library Service will automatically synchronize all subscribed libraries on a daily basis. Subscribed libraries with the Content ConfigurationModel.automatic_sync_enabled flag turned on will be synchronized every hour between Content ConfigurationModel.automatic_sync_start_hour and Content ConfigurationModel.automatic_sync_stop_hour.

The default value is true.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

automatic_sync_enabled_setting
Optional

The setting for the Content ConfigurationModel.automatic_sync_enabled, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
automatic_sync_start_hour
Optional

The hour at which the automatic synchronization will start. This value is between 0 (midnight) and 23 inclusive.

The default value is 20.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

automatic_sync_start_hour_setting
Optional

The setting for the Content ConfigurationModel.automatic_sync_start_hour, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
automatic_sync_stop_hour
Optional

The hour at which the automatic synchronization will stop. Any active synchronization operation will continue to run, however no new synchronization operations will be triggered after the stop hour. This value is between 0 (midnight) and 23 inclusive.

The default value is 7.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

automatic_sync_stop_hour_setting
Optional

The setting for the Content ConfigurationModel.automatic_sync_stop_hour, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
maximum_concurrent_item_syncs
Optional

The maximum allowed number of library items to synchronize concurrently from remote libraries. This must be a positive number. The service may not be able to guarantee the requested concurrency if there is no available capacity.

This setting is global across all subscribed libraries. The default value is 5.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

maximum_concurrent_item_syncs_setting
Optional

The setting for the Content ConfigurationModel.maximum_concurrent_item_syncs, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
automatic_sync_refresh_interval
Optional

The interval in minutes between two consequent automatic synchronization of all subscribed content libraries within the automatic synchronization window defined by Content ConfigurationModel.automatic_sync_start_hour and Content ConfigurationModel.automatic_sync_stop_hour.

The default value is 240 minutes.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

automatic_sync_refresh_interval_setting
Optional

The setting for the Content ConfigurationModel.automatic_sync_refresh_interval, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
automatic_sync_setting_refresh_interval
Optional

The interval in seconds after some automatic synchronization settings are changed and before the Content Library Service applies the settings. The automatic synchronization settings include Content ConfigurationModel.automatic_sync_refresh_interval, Content ConfigurationModel.automatic_sync_start_hour and Content ConfigurationModel.automatic_sync_start_hour. Measured in seconds.

The default value is 600 seconds. This setting requires restart of the content library service to take effect when changed.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

automatic_sync_setting_refresh_interval_setting
Optional

The setting for the Content ConfigurationModel.automatic_sync_setting_refresh_interval, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
transfer_throttling_bandwidth_total
Optional

Maximum Bandwidth usage threshold in Mbps across all transfers handled by the Content Library Service.

The default value is 0 Mbit/s which means unlimited bandwidth.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

transfer_throttling_bandwidth_total_setting
Optional

The setting for the Content ConfigurationModel.transfer_throttling_bandwidth_total, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
transfer_nfc_max_concurrent_transfers_per_host
Optional

Maximum concurrent NFC transfers limit per ESXi host. This setting controls how many concurrent NFC sessions can be opened to a single ESXi host during transfers. Each file being transferred uses a single NFC connection.

This limit is shared across content library workflows requiring NFC transfers such as OVF template deployments, uploading or downloading an item, sync etc. The default value is 8.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

transfer_nfc_max_concurrent_transfers_per_host_setting
Optional

The setting for the Content ConfigurationModel.transfer_nfc_max_concurrent_transfers_per_host, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
priority_transfer_threads_pool_size
Optional

Maximum number of concurrent transfers that is allowed to transfer priority files by the Content Library Service. Currently priority files include OVF descriptor file.

The default value is 5. This setting requires restart of the content library service to take effect when changed.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

priority_transfer_threads_pool_size_setting
Optional

The setting for the Content ConfigurationModel.priority_transfer_threads_pool_size, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

integer As int64 As int64
transfer_threads_pool_size
Optional

Maximum number of concurrent transfers that is allowed to transfer non-priority files by the Content Library Service.

The default value is 20. This setting requires restart of the content library service to take effect when changed.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.

transfer_threads_pool_size_setting
Optional

The setting for the Content ConfigurationModel.transfer_threads_pool_size, which includes Content ConfigurationSetting.reboot_required, Content ConfigurationSetting.constraints, etc.

This property was added in vSphere API 9.1.0.0.

This property is not used for the create operation. It will always be present in the response of the get or list operations. It is optional for the update operation.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/content/configuration